> ## Documentation Index
> Fetch the complete documentation index at: https://phaseo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 编辑图像

> 使用指定的模型和提示词对现有图像进行编辑。



## OpenAPI

````yaml zh-Hans/openapi/v1/openapi.localized.yaml POST /images/edits
openapi: 3.0.3
info:
  title: Phaseo Gateway API
  description: 通过兼容 OpenAI 的端点访问各种 AI 模型的网关 API。
  version: 1.0.0
  contact:
    name: Phaseo
    url: https://phaseo.app
    email: danielbutler500@gmail.com
servers:
  - url: https://api.phaseo.app/v1
    description: 全球路由
security:
  - BearerAuth: []
tags:
  - name: Gateway
    description: Core Phaseo Gateway operations.
paths:
  /images/edits:
    post:
      tags:
        - Gateway
      summary: 创建图像编辑
      description: 根据原始图像和提示创建编辑或扩展后的图像。
      operationId: createImageEdit
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ImagesEditRequest'
      responses:
        '200':
          description: 图像编辑响应
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImagesEditResponse'
            text/event-stream:
              schema:
                type: string
components:
  schemas:
    ImagesEditRequest:
      type: object
      required:
        - model
        - image
        - prompt
      properties:
        model:
          type: string
        image:
          oneOf:
            - type: string
            - type: array
              minItems: 1
              maxItems: 16
              items:
                type: string
        mask:
          type: string
        prompt:
          type: string
        size:
          type: string
        resolution:
          type: string
        'n':
          type: integer
          minimum: 1
          maximum: 10
        quality:
          type: string
          enum:
            - standard
            - low
            - medium
            - high
            - xhigh
            - max
            - auto
          description: 图像渲染质量。xhigh 和 max 仅适用于 GPT Image 2.5 模型。
        stream:
          type: boolean
        partial_images:
          type: integer
          minimum: 0
          maximum: 3
        output_format:
          type: string
          enum:
            - png
            - jpeg
            - webp
        output_compression:
          type: integer
          minimum: 0
          maximum: 100
        background:
          type: string
          enum:
            - transparent
            - opaque
            - auto
        moderation:
          type: string
          enum:
            - auto
            - low
        input_fidelity:
          type: string
          enum:
            - high
            - low
        user:
          type: string
        meta:
          type: boolean
        usage:
          type: boolean
        provider:
          $ref: '#/components/schemas/ProviderRoutingOptions'
    ImagesEditResponse:
      type: object
      properties:
        created:
          type: integer
        data:
          type: array
          items:
            $ref: '#/components/schemas/Image'
    ProviderRoutingOptions:
      type: object
      description: 用于网关选择的提供商路由偏好设置。
      properties:
        order:
          type: array
          items:
            type: string
        only:
          type: array
          items:
            type: string
        ignore:
          type: array
          items:
            type: string
        include_alpha:
          type: boolean
          description: 在路由中包含 alpha 提供商（默认关闭）。
        allow_fallbacks:
          type: boolean
          nullable: true
          description: 失败后允许回退到其他符合条件的提供商。
        require_parameters:
          type: boolean
          nullable: true
          description: 路由前要求提供商支持所请求的参数。
        required_execution_region:
          type: string
          nullable: true
          description: 将路由限制为具有所需执行区域的提供商。
        required_data_region:
          type: string
          nullable: true
          description: 将路由限制为具有所需数据区域的提供商。
        require_zero_data_retention:
          type: boolean
          nullable: true
          description: 将路由限制为支持零数据保留的提供商。
        data_collection:
          type: string
          nullable: true
          enum:
            - allow
            - deny
        zdr:
          type: boolean
          nullable: true
        enforce_distillable_text:
          type: boolean
          nullable: true
        quantizations:
          type: array
          nullable: true
          items:
            type: string
        sort:
          oneOf:
            - type: string
            - type: object
              additionalProperties: true
          description: 为此请求排列提供商，例如按价格、延迟或吞吐量排序。
        max_price:
          type: object
          properties:
            prompt:
              oneOf:
                - type: number
                - type: string
            completion:
              oneOf:
                - type: number
                - type: string
            image:
              oneOf:
                - type: number
                - type: string
            audio:
              oneOf:
                - type: number
                - type: string
            request:
              oneOf:
                - type: number
                - type: string
        preferred_min_throughput:
          oneOf:
            - type: number
            - type: object
              additionalProperties:
                type: number
        preferred_max_latency:
          oneOf:
            - type: number
            - type: object
              additionalProperties:
                type: number
    Image:
      type: object
      properties:
        url:
          type: string
        b64_json:
          type: string
        revised_prompt:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer 令牌身份验证

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.